using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace ASHermed.SinoInterface.Enum
{
    
	[Description("注册类型")]
    public enum RegistrationSource : int
    {
        /// <summary>
        /// 微信
        /// </summary>
        [Description("微信")]
        WX = 1,

        /// <summary>
        /// APP患者端
        /// </summary>
        [Description("APP患者端")]
        APPPAT = 2,

        /// <summary>
        /// APP医生端
        /// </summary>
        [Description("APP医生端")]
        APPDOC = 3,
    }

    [Description("授权类型")]
    public enum AuthType : int
    {
        /// <summary>
        /// 线下预约
        /// </summary>
        [Description("线下预约")]
        OFFLINE = 1,

        /// <summary>
        /// 互联网医院预约
        /// </summary>
        [Description("互联网医院预约")]
        ONLINE = 2,

        /// <summary>
        /// 查看报告
        /// </summary>
        [Description("查看报告")]
        CHECKREPORT = 3,
        /// <summary>
        /// 互联网医院账单
        /// </summary>
        [Description("互联网医院账单")]
        ONLINEORDER = 4,
    }
}
